<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="MydataDataSet" targetNamespace="http://tempuri.org/MydataDataSet.xsd" xmlns:mstns="http://tempuri.org/MydataDataSet.xsd" xmlns="http://tempuri.org/MydataDataSet.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="MydataConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="MydataConnectionString (Settings)" PropertyReference="ApplicationSettings.Ex04_1.Properties.Settings.GlobalReference.Default.MydataConnectionString" Provider="System.Data.OleDb" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="员工信息TableAdapter" GeneratorDataComponentClassName="员工信息TableAdapter" Name="员工信息" UserDataComponentName="员工信息TableAdapter">
            <MainSource>
              <DbSource ConnectionRef="MydataConnectionString (Settings)" DbObjectName="员工信息" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM `员工信息` WHERE ((`员工编号` = ?) AND ((? = 1 AND `姓名` IS NULL) OR (`姓名` = ?)) AND ((? = 1 AND `性别` IS NULL) OR (`性别` = ?)) AND ((? = 1 AND `年龄` IS NULL) OR (`年龄` = ?)) AND ((? = 1 AND `文化程度` IS NULL) OR (`文化程度` = ?)) AND ((? = 1 AND `联系电话` IS NULL) OR (`联系电话` = ?)) AND ((? = 1 AND `电子邮件` IS NULL) OR (`电子邮件` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_员工编号" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="员工编号" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_姓名" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="姓名" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_姓名" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="姓名" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_性别" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="性别" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_性别" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="性别" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_年龄" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="年龄" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_年龄" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="年龄" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_文化程度" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="文化程度" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_文化程度" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="文化程度" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_联系电话" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="联系电话" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_联系电话" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="联系电话" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_电子邮件" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="电子邮件" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_电子邮件" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="电子邮件" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO `员工信息` (`姓名`, `性别`, `年龄`, `文化程度`, `联系电话`, `电子邮件`) VALUES (?, ?, ?, ?, ?, ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="姓名" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="姓名" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="性别" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="性别" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="年龄" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="年龄" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="文化程度" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="文化程度" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="联系电话" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="联系电话" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="电子邮件" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="电子邮件" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT 员工编号, 姓名, 性别, 年龄, 文化程度, 联系电话, 电子邮件 FROM 员工信息</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE `员工信息` SET `姓名` = ?, `性别` = ?, `年龄` = ?, `文化程度` = ?, `联系电话` = ?, `电子邮件` = ? WHERE ((`员工编号` = ?) AND ((? = 1 AND `姓名` IS NULL) OR (`姓名` = ?)) AND ((? = 1 AND `性别` IS NULL) OR (`性别` = ?)) AND ((? = 1 AND `年龄` IS NULL) OR (`年龄` = ?)) AND ((? = 1 AND `文化程度` IS NULL) OR (`文化程度` = ?)) AND ((? = 1 AND `联系电话` IS NULL) OR (`联系电话` = ?)) AND ((? = 1 AND `电子邮件` IS NULL) OR (`电子邮件` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="姓名" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="姓名" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="性别" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="性别" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="年龄" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="年龄" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="文化程度" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="文化程度" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="联系电话" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="联系电话" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="电子邮件" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="电子邮件" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_员工编号" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="员工编号" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_姓名" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="姓名" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_姓名" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="姓名" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_性别" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="性别" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_性别" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="性别" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_年龄" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="年龄" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_年龄" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="年龄" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_文化程度" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="文化程度" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_文化程度" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="文化程度" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_联系电话" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="联系电话" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_联系电话" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="联系电话" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_电子邮件" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="电子邮件" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_电子邮件" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="电子邮件" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="员工编号" DataSetColumn="员工编号" />
              <Mapping SourceColumn="姓名" DataSetColumn="姓名" />
              <Mapping SourceColumn="性别" DataSetColumn="性别" />
              <Mapping SourceColumn="年龄" DataSetColumn="年龄" />
              <Mapping SourceColumn="文化程度" DataSetColumn="文化程度" />
              <Mapping SourceColumn="联系电话" DataSetColumn="联系电话" />
              <Mapping SourceColumn="电子邮件" DataSetColumn="电子邮件" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="MydataDataSet" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:Generator_DataSetName="MydataDataSet" msprop:Generator_UserDSName="MydataDataSet" msprop:EnableTableAdapterManager="True">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="员工信息" msprop:Generator_UserTableName="员工信息" msprop:Generator_RowDeletedName="员工信息RowDeleted" msprop:Generator_TableClassName="员工信息DataTable" msprop:Generator_RowChangedName="员工信息RowChanged" msprop:Generator_RowClassName="员工信息Row" msprop:Generator_RowChangingName="员工信息RowChanging" msprop:Generator_RowEvArgName="员工信息RowChangeEvent" msprop:Generator_RowEvHandlerName="员工信息RowChangeEventHandler" msprop:Generator_TablePropName="员工信息" msprop:Generator_TableVarName="table员工信息" msprop:Generator_RowDeletingName="员工信息RowDeleting">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="员工编号" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_UserColumnName="员工编号" msprop:Generator_ColumnPropNameInRow="员工编号" msprop:Generator_ColumnVarNameInTable="column员工编号" msprop:Generator_ColumnPropNameInTable="员工编号Column" type="xs:int" />
              <xs:element name="姓名" msprop:Generator_UserColumnName="姓名" msprop:Generator_ColumnPropNameInRow="姓名" msprop:Generator_ColumnVarNameInTable="column姓名" msprop:Generator_ColumnPropNameInTable="姓名Column" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="性别" msprop:Generator_UserColumnName="性别" msprop:Generator_ColumnPropNameInRow="性别" msprop:Generator_ColumnVarNameInTable="column性别" msprop:Generator_ColumnPropNameInTable="性别Column" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="年龄" msprop:Generator_UserColumnName="年龄" msprop:Generator_ColumnPropNameInRow="年龄" msprop:Generator_ColumnVarNameInTable="column年龄" msprop:Generator_ColumnPropNameInTable="年龄Column" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="文化程度" msprop:Generator_UserColumnName="文化程度" msprop:Generator_ColumnPropNameInRow="文化程度" msprop:Generator_ColumnVarNameInTable="column文化程度" msprop:Generator_ColumnPropNameInTable="文化程度Column" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="联系电话" msprop:Generator_UserColumnName="联系电话" msprop:Generator_ColumnPropNameInRow="联系电话" msprop:Generator_ColumnVarNameInTable="column联系电话" msprop:Generator_ColumnPropNameInTable="联系电话Column" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="电子邮件" msprop:Generator_UserColumnName="电子邮件" msprop:Generator_ColumnPropNameInRow="电子邮件" msprop:Generator_ColumnVarNameInTable="column电子邮件" msprop:Generator_ColumnPropNameInTable="电子邮件Column" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:员工信息" />
      <xs:field xpath="mstns:员工编号" />
    </xs:unique>
  </xs:element>
</xs:schema>